
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>防止Web应用威胁任重道远 / iVAN</title>

    <meta name="description" content="防止Web应用威胁任重道远 SQL注入和跨站脚本仍然是最有针对性的Web应用漏洞,然而专家称,一些新技术(例如HTML 5)本身就具有危险的漏洞.根据安全云托管公司FireHost的报告显示,在2012年前两个季度之间,SQL注入(SQLi)攻击上升了69%.在SQL攻击中,攻击者将恶意代码输入web表单输入框以获取资源或更改数据. WhiteHat Security公司创始人兼首席执行官Jeremiah Grossman表示:&quot;从实例和数据丢失情况来看,SQL注入是迄今为止最大的威胁.&quot;在WhiteH ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">防止Web应用威胁任重道远</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>SQL注入和跨站脚本仍然是最有针对性的Web应用漏洞，然而专家称，一些新技术（例如HTML 5）本身就具有危险的漏洞。根据安全云托管公司FireHost的报告显示，在2012年前两个季度之间，SQL注入（SQLi）攻击上升了69%。在SQL攻击中，攻击者将恶意代码输入web表单输入框以获取资源或更改数据。</p>
<p>WhiteHat Security公司创始人兼首席执行官Jeremiah Grossman表示：“从实例和数据丢失情况来看，SQL注入是迄今为止最大的威胁。”在WhiteHat Security公司2012年夏天的网站统计报告中，SQL注入有11%的可能性出现在一个网站至少一次。这个数字使SQL注入名列漏洞普及率排行榜的第八位。</p>
<p>排在漏洞榜首的是跨站脚本（XSS），在一个网站中至少存在一个XSS安全漏洞的可能性是55%。在XSS攻击中，攻击者将恶意代码插入链接，看起来似乎是来自值得信赖的来源，通过点击链接，用户将释放嵌入式编程，这作为该客户端web请求的一部分被提交，并可以在用户的计算机上执行，从而让攻击者窃取信息。</p>
<p>安全专家称，其他漏洞虽然比主要漏洞的普及率更低，也没那么危险，但它们仍然构成威胁。Security Innovation公司应用安全服务副总裁Joe Basirico表示，授权问题引起越来越多的关注，即用户可以访问其授权级别以上的信息。Grossman还指出了业务逻辑漏洞，当两个安全步骤发生冲突时，最终会制造漏洞，这也是一个问题。</p>
<p>HTML 5——增长的攻击目标</p>
<p>最新版本的网页标准编程语言HTML 5旨在使web应用和文件在每种类型的浏览器中都是一致的，但这个新兴技术却带来新的威胁。Savvis公司高级安全战略家Ed Moyle表示，HTML 5对客户端方面的侧重使攻击者从用户角度实施攻击变得更容易。HTML 5等新技术是危险的，因为威胁更难找到，开发者也更难以修复。当你引进新技术时，例如云计算和HTML 5等，你也带来了新的复杂性。对于攻击，HTML 5更加滞后，因为攻击者坚持使用较旧的更广泛应用的编程语言，例如Java。</p>
<p>新颖可能是保护不足的HTML 5面临的问题，但这并不是SQL注入和XSS攻击漏洞的理由，这两个漏洞已经有十多年的历史。安全专家称，在开发web应用时，安全并不是首要考虑问题。咨询和研究公司SecurityCurve的创始人Diana Kelley表示，重点在于速度、功能和整体体验。“我们听说了很多关于安全的问题，也有各种相关新闻报道，”Kelley表示，但当涉及安全因素时，应用开发人员意识到他们必须花费更多时间和金钱才能让产品得以发布，这使他们总是忽视安全因素。</p>
<p>Moyle表示，当企业IT安全团队为web应用解决安全问题时，资金和重点往往在网络层面。企业将花更多钱在应用上，而不是专门针对这些应用的安全因素上。</p>
<p>缺乏具有安全意识的程序员</p>
<p>一些专家发现行业内普遍缺乏安全人员。Grossman表示：“没有人来做这个工作。很多SQL注入和XSS攻击针对传统的旧代码，因为旧代码在较新版本中存在漏洞。有15年的不安全web代码需要我们清理。不过，新代码中的漏洞可以避免，只是在开发应用时，这些安全步骤有时候被忽略了。”</p>
<p>Grossman和其他安全分析师认为参数化SQL语句是缓解SQL注入攻击的最佳途径之一。通过参数化语句，只有特定条目能被web表单的输入框接受，这是基于开发人员设置的限制。例如，他举了一个好的语句，“我的名字是Jeremiah”，而“我的名字是Jeremiah；”就会被拒绝。因为标点符号不被接受，这可以防止攻击者向输入框输入代码。对于XSS，Grossman认为上下文感知的输出编码是一个很好的防御。输入验证是可用于保护web应用免受XSS和SQL注入攻击的另一个方法。</p>
<p>在开发web应用时，Grossman表示，重要的是在开发过程的每一步都考虑安全因素。他确定了在web应用的整个生命周期解决安全问题的三个角色：开发人员（builder）首先创建安全代码来开始这个过程，然后破坏者（breaker）进行测试并找出安全威胁，防御者（defender）专注于监测启动web应用后的攻击。</p>
<p>专家们认为，安全规范需要由公司高管来确定。SecurityCurve公司的Kelley表示，只有通过高管施加压力，开发人员才会认真地编写代码、检查代码以及为安全措施（例如输入验证）编写额外代码。软件开发人员被聘请来工作，如果雇佣他们的人强调使用web应用的方便性和体验，那么最终的产品将会反映这一点。Kelley表示，高管应该对其想要部署的安全措施给出明确的指示。</p>
<p>当在创建web应用的整个过程中都考虑了安全因素时，这最终可以节省时间和金钱，虽然这个优势在初期没有显现出来。例如，在开发过程快结束时，当审计员表示web应用不符合某个要求时。审计员会停止生产，让开发团队回去解决问题。Kelley表示，在这种情况下，生产可能会被推迟一个星期，但如果最初采取了适当的安全措施的话，这可能只需要一两天。</p>
<p>最后，Kelley表示，管理人员需要决定对于最终产品而言，什么是重要的。如果安全很重要，那么，企业将需要采取一切措施来保护其web应用。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:16:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>防止Web应用威胁任重道远的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNVW1b.html" rel="bookmark">如何缓解Web应用程序威胁 缓解Web应用程序威胁的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在几乎所有企业都会在互联网上建立网站,他们不仅通过网站提供信息,而且还通过Web应用程序.博客和论坛与他们的客户进行互动.从网上零售商的互动婴儿注册表,到电子交易网站的投资计算器,或者软件供应商的互动支持论坛,企业每天都会产生新的Web应用程序来使获取信息. 以业务为中心的Web互动迅速发展也带来了新的信息安全威胁,而企业以前的静态网页并没有这些威胁.这些威胁主要是针对Web应用程序,包括补充的Web服务器.数据库和其他支持基础设施. 在本文中,我们将讨论Web应用程序面临的最严重的威胁以及安			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPXLmp.html" rel="bookmark">破解web应用安全威胁所应对的方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				此文章主要向大家阐述的是正确面对web应用安全威胁,以及对应对的方案的描述,随着Web2.0.社交网络.微博等相关的一系列新型的互联网产品的诞生,基于web环境的互联网应用越来越广泛.企业信息化的过程中各种应用都架设在Web平台上,Web业务的迅速发展也引起黑客们的强烈关注,接踵而至的就是web安全威胁的凸显,黑客利用网站操作系统的漏洞和WEB服务程序的SQL注入漏洞等得到Web服务器的控制权限,轻则篡改网页内容,重则窃取重要内部数据,更为严重的则是在网页中植入恶意代码,使得网站访问者受到侵害.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdeK1z.html" rel="bookmark">走出WEB应用防火墙认识误区&mdash;&mdash;WAF是强不是墙</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在&lt;走出Web应用防火墙认识误区&gt;系列文章(一)中,我们分析讨论了谁能保护Web应用,在本文中我们将重点介绍WAF的特点和应用. 早在2004年,国外一些安全厂商就提出了Web应用防火墙(Web Application Firewall,简称WAF)的概念,并开始了逐步的尝试(例如梭子鱼网络有限公司将Netcontinuum公司纳入旗下,当时的Netcontinuum就是这一领域的先行者,其解决方案包含网站的网络应用安全.通信管理和SSL加速等).支付卡行业安全标准委员会也发布了支付卡行业数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5o4r7b.html" rel="bookmark">8个实用且免费的Web应用程序安全测试工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着 Web 应用越来越广泛,Web 安全威胁日益凸显.黑客利用网站操作系统的漏洞和 Web 服务程序的 SQL 注入漏洞等得到Web服务器的控制权限,轻则篡改网页内容,重则窃取重要内部数据,更为严重的则是在网页中植入恶意代码,使得网站访问者受到侵害.这也使得越来越多的用户关注应用层的安全问题,对 Web 应用安全的关注度也逐渐升温.下面向大家推荐8款非常有用的免费 Web 安全测试工具. N-Stalker Free Version N-Stalker Web 应用程序安全2012免费版本能够			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQvWNz.html" rel="bookmark">Web安全与Rational AppScan入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web 应用的基础概念 在讨论 Web 应用安全之前,先简单介绍一下 Web 应用基础概念,这样便于理解为什么 Web 应用是脆弱的,容易受到攻击. 1. 什么是 Web 应用 Web 应用是由动态脚本.编译过的代码等组合而成.它通常架设在 Web 服务器上,用户在 Web 浏览器上发送请求,这些请求使用 HTTP 协议,经过因特网和企业的 Web 应用交互,由 Web 应用和企业后台的数据库及其他动态内容通信. 2. Web 应用的架构 尽管不同的企业会有不同的 Web 环境搭建方式,一个典型			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YWY8p.html" rel="bookmark">解析Web站点和Web服务器的终极防护方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是解析Web站点和Web服务器的终极防护方案,随着企业管理与应用的不断&quot;Web&quot;化,Web安全威胁愈演愈烈,这给企业用户带来不小的压力,然而对于安全厂商而言Web安全或许是一次不错的试金石.总体来看,Web安全市场可以分为两大支流,其中一个叫内容安全管理,另外一个叫应用安全管理.内容安全管理主要以上网行为管理产品为代表,主要侧重于企业web应用,是用户端的一个管理;另外一块就是以Web应用防火墙为代表. 伴随着Web应用的不断发展,市面上的Web应用防火墙品牌与功能也越来越多,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx2jmQz.html" rel="bookmark">从被动防护到主动监控 RSA2015呈现Web安全防护新趋势</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近,新一届全球信息安全行业盛会RSA大会在美国旧金山市举行,这是业内规模极大的一项学术交流和产品展示活动.面对日益严峻的Web信息安全形势,本届大会展现了Web安全防护的新趋势. RSA大会被视为全球信息安全领域的风向标,今年组织者提出&quot;变化:挑战当今安全思维&quot;这一主题.WebRAY CEO 权小文说:&quot;在本届大会上,信息安全专家对于未来信息安全形势的转变有了更深层次的见解,组织面临的挑战不仅仅来源于那些已知的安全威胁,更来源于那些未被监测到的安全威胁.用户亟需从被动防护转			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3EK3Wp.html" rel="bookmark">保护Web资产等同于保护业务操作的稳定性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现如今网络互连的世界,保护WWeb网站在某种程度上讲等同于保护公司的业务与商业信誉,维护用户良好的访问体验.随着互联网时代的到来,电子商务彻底改变了业务经营的模式,例如B2C.B2B.内部网络与外部网络成了日常的业务词汇.由此,网站要么是业务扩展的绝对优势手段,要么就成了一块静态的广告板.网站除了是公司的另一张&quot;名片&quot;外,它还是商业联结的通道.通过网站,用户可以 查找公司的产品与信息,合作伙伴访问共享的资源,或是用户直接通过网站下单购买商品.对于eBay.Amazon等这样的公司来讲,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLPKQz.html" rel="bookmark">Web应用防火墙之前世今生</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web安全问题的技术根源和攻击方法的演进在全球范围内是一样的,所以不管在国内还是国外,WEB应用防火墙(WAF)必定会成为主流的Web应用安全解决方案. 不过,有些用户一度认为另外一个产品就是Web应用防火墙,它就是网页防篡改系统.网页篡改始终是令国内网站头疼的Web安全问题.而且,此类攻击的数量还在呈现上升的趋势.政府门户网站.高校.企业.运营商的网站都出现过严重的网页篡改事件.因此,网页防篡改系统迅速流行起来. 网页防篡改系统是一种软件解决方案,它的防护效果直接,但是它的部署位置和基本原理决			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9X4Rb.html" rel="bookmark" class="title">ASP获取远程文件大小信息&lpar;通过header头信息&rpar;</a>
					<div>
						文件大小|远程文件|header ASP获取远程文件的通过header头信息,并返回远程文件大小信息,远程文件可以是网页或RAR,EXE任何格式的文件. 以下的代码是由阿里西西alixixi.com提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAqjQM.html" rel="bookmark" class="title">Oracle 数据库系统的启动方式</a>
					<div>
						Oracle数据库系统管理常用的工具是svrmgrl..,启动oracle数据库系统,通常所用的是启动实例的时候不挂接数据库,等启动实例以后再用mount挂接数据库:另外一种方法是在启动实例的时候,加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX4mlp.html" rel="bookmark" class="title">Visual Studio&period;NET版本比较（中文版）</a>
					<div>
						visual|比较|中文 Visual Studio .NET 有三个可用的版本:Visual Studio 专业版.Visual Studio 企业级开发人员版和 Visual Studio 企业级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjyEmz.html" rel="bookmark" class="title">w3 upload组件实例应用1</a>
					<div>
						文件1 - Upload.asp&lt;html&gt; &lt;head&gt; &lt;title&gt; w3 Upload &lt;/title&gt; &lt;/head&gt; &lt;b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRvQ8z.html" rel="bookmark" class="title">自定义&OpenCurlyDoubleQuote;TB&lowbar;定位访问&rdquo;子类</a>
					<div>
						在很多应用中,经常需要通过某个&quot;特征值&quot;从给定的数据对象(前台的数据集或后台的物理表)中 得到一条(或一组)满足约束的记录,并在此基础上实现某种给定的后续功能,&quot;TB_定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK916M.html" rel="bookmark" class="title">SSH笔记一 用maven构建项目</a>
					<div>
						迷迷糊糊的接触java也有大半年之久了,期间一直用java来开发web项目,从最开始的helloworld,到jdbc链接数据库,到现在的用struts.hibernate.spring完成一个项目, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr82vp.html" rel="bookmark" class="title">PHP随机获得字符代码</a>
					<div>
						&lt;?php //获取随机字符 此函数区分字符大小写 如果不区分大小写可加入函数strtolower function genRandomString($len) {     $chars = a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9174vM.html" rel="bookmark" class="title">Dreamweaver弹出信息方法</a>
					<div>
						  使用&quot;弹出信息&quot;行为将显示JavaScript警告和一个确定按钮. 一.Dreamweaver CS5弹出信息行为 1. 选择一个页面元素或者对象. 2. 打开行为面板. 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oor7b.html" rel="bookmark" class="title">Win7系统安装软件时出现&OpenCurlyDoubleQuote;错误1719&rdquo;的解决办法</a>
					<div>
						在Windows 7下安装Office 2010,结果出现&quot;错误 1719:无法访问 Windows Installer 服务 .没有正确安装 Windows Installer 时可能发生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oNqmb.html" rel="bookmark" class="title">在excel中怎么设置条件格式</a>
					<div>
						  在excel中,如果常常做数据表格的朋友,对条件格式肯定是很熟悉啦,其实就是对满足一定条件的单元格,做出一个醒目的标志,可以是字体或者颜色等的上面的变化.其实这是excel中挺实用的一个技巧,我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBPyYz.html" rel="bookmark" class="title">硬盘跳线设置不当，导致启动速度慢</a>
					<div>
						  1.BIOS自检完毕后,在IDE检测时速度很慢,差不多要20秒钟(挂接了两块硬盘,BIOS配置的IDE自动监测). 2.IDE监测完毕后,清屏,下一步是出现Windows启动画面,这里又要停差不多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWd06p.html" rel="bookmark" class="title">探讨PHP中OO之静态关键字以及类常量的详解&lowbar;php技巧</a>
					<div>
						闲着没事随便找了点PHP的关于OO的点资料看看,访问控制修饰符,self,parent,const,static几个关键字,箭头操作符(书上也这么叫..即&quot;-&gt;&quot;),范围解析 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7wJ0z.html" rel="bookmark" class="title">我在使用VS写asp&period;net，web应用程序中如何连sql server 接数据库</a>
					<div>
						问题描述 我在使用VS写asp.net,web应用程序中如何连sql server 接数据库 10C 在web程序中我需要连接数据库,使用其中的数据.怎样才能用js与我的sql server2012连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQvBLp.html" rel="bookmark" class="title">ACM第一日小结：中国人占领会场，tutorial和workshop紧凑而充实</a>
					<div>
						本文讲的是ACM第一日小结:中国人占领会场,tutorial和workshop紧凑而充实, ACMMM(ACM International Conference on Multimedia, 国际多媒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVjg5b.html" rel="bookmark" class="title">SqlDateTime溢出类错误解决</a>
					<div>
						错误: &quot;SqlDateTime 溢出.必须介于 1/1/1753 12:00:00 AM 和 12/31/9999 11:59:59 PM之间.&quot; 出现这种问题多半是因为你插入或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6BYxb.html" rel="bookmark" class="title">自定义view-安卓自定义控件，事件在屏幕上的范围</a>
					<div>
						问题描述 安卓自定义控件,事件在屏幕上的范围 我把我自定义的view放在屏幕上之后显示为正常大小,但是我给view设置完点击事件之后点屏幕任意地方都会触发,如何控制到像button一样,控件在哪,在那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRAyBb.html" rel="bookmark" class="title">和佳软件为啤酒行业穿上&OpenCurlyDoubleQuote;新衣&rdquo;</a>
					<div>
						和佳软件--国内最早从MRPⅡ发展而来的拥有自主品牌和知识产权的管理软件及服务提供商.成立于1998年,以ERP软件开发为核心,用户需求为导向,为用户提供企业信息化整体解决方案及项目实施和维护服务.和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZxYAM.html" rel="bookmark" class="title">c&plus;&plus;-求助！MFC ReadString&lpar;&rpar;的问题</a>
					<div>
						问题描述 求助!MFC ReadString()的问题 void RichEditView::ReadArticle(CString strName) { CString content = &quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkALjdb.html" rel="bookmark" class="title">svn  java-svn 更新项目 非正常报错</a>
					<div>
						问题描述 svn 更新项目 非正常报错 通常情况下报C都是和其他字母在同同一列的,而且点击进入对应的java文件,文件中会有错误提示:但是像下图这种情况,进入对应的文件并没有任何错误提示,而且目录列表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQZykp.html" rel="bookmark" class="title">指针-各位前辈帮我看看二叉树层序遍历错在哪里了</a>
					<div>
						问题描述 各位前辈帮我看看二叉树层序遍历错在哪里了 #include #include struct Nodep /*树结点类型*/ { char data; struct Nodep * lired ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAENgQM.html" rel="bookmark" class="title">简单描述关于CloudFoundry的架构设计</a>
					<div>
						VMware发布了,业内第一个开源的PaaS--CloudFoundry.时至今日,笔者一直关注它的进程,当然也从它的架构设计中收获了很多东西,现在拿出来跟大家分享一下我的感想. 本文会分为两个部份进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5aXAp.html" rel="bookmark" class="title">电子商务：物流助推器</a>
					<div>
						2009年整个因电子商务产生的快递消费额将可能达到并超过150亿人民币.对于电子商务物流的发展前景,申通快递市场总监夏祖斌甚至用了&quot;可怕&quot;一词来形容. 文|&lt;小康·财智&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Yn13z.html" rel="bookmark" class="title">大数据看AI人才分布：美国领先，中国培养潜能大</a>
					<div>
						AlphaGo和李世石的&quot;人机围棋大战&quot;所引进的社会效应还在不断发酵,使得&quot;人工智能&quot;从一个大多数人眼中的科幻小说词汇,变成了现实生活中近在咫尺的高逼格存在.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0nJ0M.html" rel="bookmark" class="title">杭州人正在用的城市大脑，有可能是人类下一个&OpenCurlyDoubleQuote;登月计划&rdquo;</a>
					<div>
						上周末,据说全世界最聪明的大脑都来杭州开会了! 一打听,哦,原来是7月9日,杭州举办了全球人工智能高峰论坛.其中的参与嘉宾中有一个我们非常熟悉,阿里巴巴技术委员会主席,王坚博士. 在会上,王博士并没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkykWp.html" rel="bookmark" class="title">jQuery日历插件datepicker用法详解&lowbar;jquery</a>
					<div>
						 jQuery是一款不可多得的非常优秀的javascript脚本开发库,而基于其上的很多插件也是非常规范和卓越的,如果错过这番美景真是太可惜了,比如datepicker这个插件. 一般MIS系统的前端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEY6Az.html" rel="bookmark" class="title">MYSQL导入导出常用命令介绍</a>
					<div>
						一.备份数据库:(命令在DOS的mysqlin目录下执行)  代码如下 复制代码 mysqldump --opt school&gt;school.bbb 注释:将数据库school备份到school ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1WOxb.html" rel="bookmark" class="title">C&num;void怎么转换成string</a>
					<div>
						问题描述 类中定义:publicvoidPreOrder(Node&lt;T&gt;root){//根结点为空if(root==null){return;}//处理根结点Console.Write(r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgqWkz.html" rel="bookmark" class="title">VS2015安装之后加装Sql server2014详细步骤&lowbar;MsSql</a>
					<div>
						网上一直说的是先安装SQL Server 2014,再安装VS2015,软件就不会出现问题.我这次在什么都没准备的情况下安装了VS2015,安装之后发觉VS2015自带的SQL2014只有连接服务器和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NdAdp.html" rel="bookmark" class="title">（DirectX系列01）DirectSound 3D语音特效</a>
					<div>
						       近日正在学习DirectX,主要用于视频监控和流媒体方面应用,学习&lt;Visual C++音视频处理技术和工程实践&gt;已经有大半,一直想写些感受,兴趣所致,今天重新学习了下Dir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YP6Ap.html" rel="bookmark" class="title">pager-taglib分页问题</a>
					<div>
						问题描述 &lt;html&gt;&lt;head&gt;&lt;title&gt;分页&lt;/title&gt;&lt;/head&gt;&lt;body&gt;&lt;tablewidth=&q ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
